Bug 496371 - Running xrandr produces a spew of "freeing invalid memtype" messages
Running xrandr produces a spew of "freeing invalid memtype" messages
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-18 05:48 EDT by Mary Ellen Foster
Modified: 2009-04-23 15:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-23 15:44:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log with a couple of xrandr commands (176.51 KB, text/plain)
2009-04-18 05:48 EDT, Mary Ellen Foster
no flags Details

  None (edit)
Description Mary Ellen Foster 2009-04-18 05:48:34 EDT
Created attachment 340140 [details]
Xorg.0.log with a couple of xrandr commands

Description of problem:
Every time I run xrandr, I get hundreds of messages in /var/log/messages and /var/log/dmesg that look like this:

localhost kernel: X:2788 freeing invalid memtype eefdf000-eefe0000

Here are the details of my graphics card:
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)

I'll attach my /var/log/Xorg.0.log; I don't use an xorg.conf

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.6.99.902-3.fc11.i586

How reproducible:
Every time

Steps to Reproduce:
1. run xrandr, with or without arguments
  
Actual results:
Screen flashes several times, and many messages get written to the logs

Expected results:
It just tells me about the devices attached to my computer
Comment 1 Mary Ellen Foster 2009-04-20 09:35:00 EDT
NB: I think this is now gone with xorg-x11-drv-intel-2.7.0-1.fc11.x86_64, but I'll need to double check later this evening.
Comment 2 Adam Jackson 2009-04-23 15:44:42 EDT
Would actually be a kernel bug, but yes, should be fixed:

* Sat Apr 18 2009 Kyle McMartin <kyle@redhat.com> 2.6.29.1-100
- pat-remove-page-granularity-tracking-for-vm_insert_pfn_maps.patch:
   Fix the spew of "Xorg:3254 freeing invalid memtype" messages.

Note You need to log in before you can comment on or make changes to this bug.